{% extends 'base.html' %}
{% load static %}
{% block content %}

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Material Design Bootstrap</title>
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.11.2/css/all.css">
    <!-- Bootstrap core CSS -->
    <link href="{% static 'css/bootstrap.min.css'%}" rel="stylesheet">
    <!-- Material Design Bootstrap -->
    <link href="{% static 'css/mdb.min.css' %}" rel="stylesheet">
    <!-- Your custom styles (optional) -->
    <link href="{% static 'css/style.min.css' %}" rel="stylesheet">
    <!-- <style type="text/css">
        html,
        body,
        header,
        .carousel {
            height: 60vh;
        }

        @media (max-width: 740px) {

            html,
            body,
            header,
            .carousel {
                height: 100vh;
            }
        }

        @media (min-width: 800px) and (max-width: 850px) {

            html,
            body,
            header,
            .carousel {
                height: 100vh;
            }
        }
    </style> -->
</head>

<body>
    <!--Main layout-->
    <main>
        <div class="container">

            <div class="table-responsive text-nowrap">
                <h2>Order Summary</h2>
                <table class="table">
                    <thead>
                        <tr>
                            <th scope="col">#</th>
                            <th scope="col">Item title</th>
                            <th scope="col">Price</th>
                            <th scope="col">Quantity</th>
                            <th scope="col">Total Item Price</th>
                        </tr>
                    </thead>
                    <tbody>

                        {% for order_item in object.items.all %}
                        <tr>
                            <th scope="row">{{ forloop.counter}}</th>
                            <td>{{ order_item.item.title}}</td>
                            <td>{{ order_item.item.price}}</td>
                            <td>
                                <a href="{% url 'remove_single_item_from_cart' order_item.item.slug %}"><i
                                        class="fas fa-minus mr-2"></i></a>
                                {{ order_item.quantity}}
                                <a href="{% url 'add_to_cart' order_item.item.slug %}"><i
                                        class="fas fa-plus ml-2"></i></a></td>
                            <td>

                                {% if order_item.item.discount_price %}

                                ${{order_item.get_total_discount_item_price}}
                                <span class=" badge badge-primary">Saving ${{ order_item.get_amount_saved}}</span>
                                {% else %}

                                ${{order_item.get_total_item_price}}
                                {% endif %}
                                <a class="float-right" href="{% url 'remove_from_cart' order_item.item.slug %}">
                                    <i class="fas fa-trash"></i>
                                </a>
                            </td>
                        </tr>
                        {% empty %}
                        <tr>
                            <td colspan="5">Your cart is empty</td>
                            <a class="btn btn-primary float-right" href="/">Continue shopping</a></td>
                        </tr>
                        {% endfor %}
                        {% if object.get_total %}

                        <tr>
                            <td colspan="4"><b> Total</b></td>
                            <td><b> $ {{object.get_total}}</b></td>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="5">
                                <a class="btn btn-warning float-right ml-2" href="/checkout/">Proceed
                                    to checkout</a>
                                <a class="btn btn-primary float-right" href="/">Continue shopping</a></td>

                        </tr>
                        {% endif %}
                    </tbody>
                </table>

            </div>

        </div>
    </main>
    <!--Main layout-->

    <!-- SCRIPTS -->
    <!-- JQuery -->
    <script type="text/javascript" src="{% static 'js/jquery-3.4.1.min.js' %}"></script>
    <!-- Bootstrap tooltips -->
    <script type="text/javascript" src="{% static 'js/popper.min.js' %}"></script>
    <!-- Bootstrap core JavaScript -->
    <script type="text/javascript" src="{% static 'js/bootstrap.min.js' %}"></script>
    <!-- MDB core JavaScript -->
    <script type="text/javascript" src="{% static 'js/mdb.min.js' %}"></script>
    <!-- Initializations -->
    <script type="text/javascript">
        // Animations initialization
        new WOW().init();

    </script>
</body>

</html>

{% endblock content %}